This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

HeadsUp: Might drop linux support,...
#21
For debian based systems https://github.com/Selur/hybrid-vapoursynth-addon should allow to build and install Vapoursynth and plugins.
Alternatively you can install Vapoursynth and plugins manually and use misc.ini ([INFO] *hidden* Hybrid options,...) to tell Hybrid that Vapoursynth should be enabled.

Cu Selur

Ps.: https://forum.doom9.org/showthread.php?t=182032 lists the currently for Avisynth+ on Linux available filters (aside from the functions that directly come with Avisynth).
Reply
#22
(07.11.2020, 19:52)Selur Wrote: For debian based systems https://github.com/Selur/hybrid-vapoursynth-addon should allow to build and install Vapoursynth and plugins.
Alternatively you can install Vapoursynth and plugins manually and use misc.ini ([INFO] *hidden* Hybrid options,...) to tell Hybrid that Vapoursynth should be enabled.

Cu Selur

Ps.: https://forum.doom9.org/showthread.php?t=182032 lists the currently for Avisynth+ on Linux available filters (aside from the functions that directly come with Avisynth).

Thanks for replying. Hope that I'm not bothering you

(07.11.2020, 19:52)Selur Wrote: For debian based systems https://github.com/Selur/hybrid-vapoursynth-addon should allow to build and install Vapoursynth and plugins.
Alternatively you can install Vapoursynth and plugins manually and use misc.ini ([INFO] *hidden* Hybrid options,...) to tell Hybrid that Vapoursynth should be enabled.

Cu Selur

Ps.: https://forum.doom9.org/showthread.php?t=182032 lists the currently for Avisynth+ on Linux available filters (aside from the functions that directly come with Avisynth).

Okay, so I have like this...
(FOLDER) "build-plugins"
(File) "build-plugins.sh"
(File) "build-vapoursynth"
(text) "config"
(idk)  "README.md"

what should I do?
Reply
#23
(07.11.2020, 19:52)Selur Wrote: For debian based systems https://github.com/Selur/hybrid-vapoursynth-addon should allow to build and install Vapoursynth and plugins.
Alternatively you can install Vapoursynth and plugins manually and use misc.ini ([INFO] *hidden* Hybrid options,...) to tell Hybrid that Vapoursynth should be enabled.

Cu Selur

Ps.: https://forum.doom9.org/showthread.php?t=182032 lists the currently for Avisynth+ on Linux available filters (aside from the functions that directly come with Avisynth).

  1. hybrid-vapoursynth-addon Adding Vapoursynth and plugins to Hybrid

  2. extract the folder to a temporary folder

  3. make the build-vapoursynth.sh script executable 
    chmod +x build-vapoursynth.sh
  4. [font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"] and run it.[/font]
  5. [font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"]When it's finished add:[/font]
    export LD_LIBRARY_PATH=/usr/local/libexport PYTHONPATH=~/opt/vapoursynth/lib/python3.6/site-packages
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"]to your [/font]

~/.profile
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"]- and [/font]

~/.bashrc
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"] -file, close the terminal and open a new terminal. ( Note: depending on your Python version you need to adjust pyhton3.6 accordingly and if you changed the default paths inside the config.txt youe need to adjust them here too) 5. Calling [/font]

vspipe --version
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"] should output something like: [/font]

VapourSynth Video Processing Library Copyright (c) 2012-2020 Fredrik Mellbin Core R49 API R3.6 Options: -
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"] 6. reboot your system. ([/font]

vspipe --version
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"] should now work without having to enter the export calls) 7. make the build-plugins.sh executable [/font]

chmod +x build-plugins.sh
[*][font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"] and run it (this will take quite a while).[/font]
[font=-apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"]Now Hybrid will be able to use Vapoursynth.[/font]

idk how to do this
Reply
#24
not readable that post
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)